## org.eclipse.uml2.codegen.ecore.genmodel
Interface GenModelFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface GenModelFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `GenModelPackage`

Field Summary
`static GenModelFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`GenClass` `createGenClass()` Returns a new object of class 'Gen Class'
`GenDataType` `createGenDataType()` Returns a new object of class 'Gen Data Type'
`GenEnum` `createGenEnum()` Returns a new object of class 'Gen Enum'
`GenEnumLiteral` `createGenEnumLiteral()` Returns a new object of class 'Gen Enum Literal'
`GenFeature` `createGenFeature()` Returns a new object of class 'Gen Feature'
`GenModel` `createGenModel()` Returns a new object of class 'Gen Model'
`GenOperation` `createGenOperation()` Returns a new object of class 'Gen Operation'
`GenPackage` `createGenPackage()` Returns a new object of class 'Gen Package'
`GenParameter` `createGenParameter()` Returns a new object of class 'Gen Parameter'
`GenModelPackage` `getGenModelPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final GenModelFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createGenClass

    GenClass createGenClass()

  Returns a new object of class 'Gen Class'.

  Returns:
    a new object of class 'Gen Class'.

### createGenDataType

    GenDataType createGenDataType()

  Returns a new object of class 'Gen Data Type'.

  Returns:
    a new object of class 'Gen Data Type'.

### createGenEnum

    GenEnum createGenEnum()

  Returns a new object of class 'Gen Enum'.

  Returns:
    a new object of class 'Gen Enum'.

### createGenEnumLiteral

    GenEnumLiteral createGenEnumLiteral()

  Returns a new object of class 'Gen Enum Literal'.

  Returns:
    a new object of class 'Gen Enum Literal'.

### createGenFeature

    GenFeature createGenFeature()

  Returns a new object of class 'Gen Feature'.

  Returns:
    a new object of class 'Gen Feature'.

### createGenModel

    GenModel createGenModel()

  Returns a new object of class 'Gen Model'.

  Returns:
    a new object of class 'Gen Model'.

### createGenOperation

    GenOperation createGenOperation()

  Returns a new object of class 'Gen Operation'.

  Returns:
    a new object of class 'Gen Operation'.

### createGenPackage

    GenPackage createGenPackage()

  Returns a new object of class 'Gen Package'.

  Returns:
    a new object of class 'Gen Package'.

### createGenParameter

    GenParameter createGenParameter()

  Returns a new object of class 'Gen Parameter'.

  Returns:
    a new object of class 'Gen Parameter'.

### getGenModelPackage

    GenModelPackage getGenModelPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.